%define name	hostap-utils
%define version	0.4.7
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
URL:		http://hostap.epitest.fi/
Group:		System/Configuration/Networking
Source0:	http://hostap.epitest.fi/releases/hostap-utils-%{version}.tar.bz2
Source1:	hostap_cs.conf
Summary:	Utility programs for Host AP driver for Intersil Prism2/2.5/3
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	wireless-tools
Provides:	hostap
Obsoletes:	hostap

%description
This is a Linux driver for wireless LAN cards based on Intersil's Prism2/2.5/3
chipset. The driver supports a so called Host AP mode, i.e., it takes care of 
IEEE 802.11 management functions in the host computer and acts as an access
point. This does not require any special firmware for the wireless LAN card.
In addition to this, it has support for normal station operations in BSS and
possible also in IBSS. 

This packages contains binary utilities for use with hostap. 

%prep
%setup -q -n %{name}-%{version}

%build
%make CC="%{__cc}" CFLAGS="%{optflags}"

%install
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/pcmcia
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pcmcia
install -m 755 hostap_crypt_conf %{buildroot}%{_sbindir}
install -m 755 hostap_diag %{buildroot}%{_sbindir}
install -m 755 hostap_fw_load %{buildroot}%{_sbindir}
install -m 755 hostap_io_debug %{buildroot}%{_sbindir}
install -m 755 hostap_rid %{buildroot}%{_sbindir}
install -m 755 prism2_param %{buildroot}%{_sbindir}
install -m 755 prism2_srec %{buildroot}%{_sbindir}
install -m 755 split_combined_hex %{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README 
%config(noreplace) %{_sysconfdir}/pcmcia/hostap_cs.conf
%{_sbindir}/hostap_crypt_conf
%{_sbindir}/hostap_diag
%{_sbindir}/hostap_fw_load
%{_sbindir}/hostap_io_debug
%{_sbindir}/hostap_rid
%{_sbindir}/prism2_param
%{_sbindir}/prism2_srec
%{_sbindir}/split_combined_hex

%changelog
* Sun Jan 08 2006 Pascal Terjan <pterjan@mandriva.org> 0:0.4.7-1mdk
- 0.4.7

* Sat Sep 24 2005 David Walluck <walluck@mandriva.org> 0:0.4.0-1mdk
- 0.4.0
- mark hostap_cs.conf as %%config
- fix CC and CFLAGS

* Wed Mar 09 2005 Laurent Culioli <laurent@mandrake.org> 0.3.7-1mdk
- 0.3.7

* Tue Aug 10 2004 Laurent Culioli <laurent@mandrake.org> 0.2.4-1mdk
- 0.2.4
- provides/obsoletes hostap
- split hostap in 2 packages ( hostap-utils & hostapd )

* Sun Dec 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.2.0-0.20031103.3mdk
- Upload the right src.rpm :/

* Sun Dec 14 2003 Pascal Terjan <Cmoi@tuxfamily.org> 0.2.0-0.20031103.2mdk
- distribute hostapd.conf

* Sun Nov 3 2003 Austin Acton <aacton@yorku.ca> 0.2.0-0.20031103.1mdk
- 0.2.0 cvs

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 0.0.1-1mdk
- 0.0.1
- Drop patch0

* Fri Apr 04 2003 Laurent Culioli <laurent@pschit.net> 20021012-2mdk
- Add require to wireless-tools ( prism2_param needs iwpriv )

* Wed Apr 02 2003 Nicolas Planel <nplanel@linux-mandrake.com> 20021012-1mdk
- First mdk released.
